.workflow {
  padding-bottom: 78px;

  background-color: #edf4f5;

  .container {
    display: flex;
    align-items: center;
    flex-direction: column;

    padding-top: 71px;
  }

  h2 {
    font-size: 30px;
    font-weight: 500;
    line-height: 36px;

    position: relative;

    display: inline-block;

    transform: scaleY(1.1);

    color: #323232;

    &::before {
      position: absolute;
      z-index: -1;
      top: 50%;
      left: -55px;

      width: 98px;
      height: 86px;

      content: "";
      transform: translateY(-61%) scaleY(0.9);

      background-image: url("/_green/img/new/icon_bubble.png");
      background-repeat: no-repeat;
      background-position: -5px -96px;
    }
  }
}

.workflow-center {
  width: 100%;

  ul {
    display: flex;
    justify-content: space-between;

    width: 100%;
    margin: 55px 0 0;
    padding: 0 20px 0 3px;

    list-style-type: none;
  }

  li {
    position: relative;

    background-image: url("/_green/img/new/workflow.png");
    background-repeat: no-repeat;

    &::after {
      position: absolute;
      top: 97px;
      right: -106px;

      width: 101px;
      height: 0;

      content: "";

      border-bottom: 1px dashed #00b558;
    }

    &:nth-child(1) {
      background-position: -16px -14px;
    }

    &:nth-child(2) {
      background-position: -267px -14px;
    }

    &:nth-child(3) {
      background-position: -516px -14px;
    }

    &:nth-child(4) {
      background-position: -766px -14px;

      &::after {
        display: none;
      }
    }
  }

  span {
    font-size: 22px;
    line-height: 39px;

    display: inline-block;

    width: 43px;
    height: 39px;

    transform: translate(39px, 19px) scaleY(1.1);
    text-align: center;

    color: #ffffff;
    border-radius: 50%;
    background-color: #00b558;
    box-shadow: 0 6px 14.4px 1.6px rgba(0, 181, 88, 0.41);
  }

  p {
    max-width: 205px;
    padding-top: 158px;

    transform: scaleY(1.1);
    text-align: center;
  }
}

@media screen and (max-width: 1199px) {
  .workflow {
    li {
      &::after {
        right: -45px;

        width: 38px;
      }
    }
  }
}

@media screen and (max-width: 991px) {
  .workflow {
    ul {
      flex-wrap: wrap;
    }

    li {
      &:nth-child(2n) {
        margin-left: 50px;

        &::after {
          display: none;
        }
      }

      &:nth-child(2n + 1) {
        margin-right: 50px;

        &::after {
          right: 0;
          left: 230px;

          width: 250px;
        }
      }
    }
  }
}

@media screen and (max-width: 767px) {
  .workflow {
    padding-bottom: 35px;

    .container {
      padding-top: 31px;
      padding-right: 0;
      padding-left: 0;
    }

    h2 {
      font-size: 22px;

      align-self: flex-start;

      margin-left: 60px;

      &::before {
        transform: translateY(-61%) scale(0.6, 0.55);
      }
    }
  }

  .workflow-center {
    ul {
      margin-top: 0;
    }

    li {
      transform: scale(0.85);

      &:nth-child(2n) {
        margin-left: 10vw;
      }

      &:nth-child(2n + 1) {
        margin-right: 10vw;

        &::after {
          width: calc(100vw - 400px);

          border-bottom-style: solid;
        }
      }

      p {
        padding-bottom: 0;
      }
    }
  }
}

@media screen and (max-width: 600px) {
  .workflow-center {
    li {
      &:nth-child(n) {
        margin-right: 0;
        margin-left: 0;
      }
    }
  }
}

@media screen and (max-width: 179px) {
  .workflow {
    h2 {
      align-self: center;

      margin-left: 0;
    }
  }

  .workflow-center {
    ul {
      align-items: center;
      flex-direction: column;
    }
  }
}
